Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456045 - too much localisation by default in fedora *slows* it down (i.e. firefox). en_US should be enough by default.
Summary: too much localisation by default in fedora *slows* it down (i.e. firefox). en...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 07:56 UTC by stefan
Modified: 2018-04-11 12:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-22 07:03:07 UTC


Attachments (Terms of Use)

Description stefan 2008-07-21 07:56:53 UTC
Description of problem: firefox on fedora is insanely slow, mainly due to *lots*
of default installed (language) plugins. I would prefer a more vanilla firefox.
More generally speaking I would like less localisation by default and as in for
example opensuse a dialog during installation asking the languages to install
and otherwise default to en_US only. All the extra languages and stuff make
fedora unneccesarily slow and use up disk space.


Version-Release number of selected component (if applicable): firefox 3 on F9


How reproducible: default install of fedora (live-cd or install dvd)


Steps to Reproduce: X
1. X
2. X
3. X
  
Actual results: slow firefox behaviour to the point i replace it with swiftfox
without 100s of plugins


Expected results: vanilla firefox, fedora tuned for speed.


Additional info: X

Comment 1 Matěj Cepl 2008-07-22 07:03:07 UTC
Sorry, there is no much to say about it, just that there are many reasons why we
won't do it. Fedora is proud to support much more languages then others, and I
was told by our developers that language packs actually don't take that much
space in RAM for us to be it a problem.

Consequently, closing as WONTFIX.

Comment 2 stefan 2008-07-22 20:17:55 UTC
Hi,

thanks for the reply and I understand the position. I do think t is cool to
support a lot of languages but why are they not made *optional* just like the
rest of the localisation during install. I mean FF3 on fedora takes +15 seconds
to start up for me whereas on my Arch install on the same pc it starts nearly
instantly. I hardly can believe that this is something preferred by fedora users
or developers that it is So much Slower then comparable systems. I even went as
far as deleting all the stuff (plugins / localisations) i did not want, which
helped a lot, just to be reinstalled after a later "yum update", which made it
sloooow again.

thanks again,
stefan

Comment 3 Joe Bayes 2008-07-24 01:11:21 UTC
Perhaps the language packs could be put into a separate package (or packages)?
That way Fedora could still support all those languages, but users could select
for only languages that they understand. At the very least, it would knock 11
megs off of the download every time a new version comes out. 

spoo:/usr/lib64/firefox-3.0.1$ du -s . extensions
13944   .
11492   extensions
spoo:/usr/lib64/firefox-3.0.1$


Comment 4 Fedora Update System 2008-07-25 19:10:07 UTC
pdns-recursor-3.1.7-2.fc9 has been submitted as an update for Fedora 9


Note You need to log in before you can comment on or make changes to this bug.